import request from '@/utils/request'

// 查询用户反馈类型列表
export function listFeedbackType(query) {
  return request({
    url: '/vrone/backend/feedbackType/list',
    method: 'get',
    params: query
  })
}

// 查询用户反馈类型详细
export function getFeedbackType(id) {
  return request({
    url: '/vrone/backend/feedbackType/' + id,
    method: 'get'
  })
}

// 新增用户反馈类型
export function addFeedbackType(data) {
  return request({
    url: '/vrone/backend/feedbackType',
    method: 'post',
    data: data
  })
}

// 修改用户反馈类型
export function updateFeedbackType(data) {
  return request({
    url: '/vrone/backend/feedbackType',
    method: 'put',
    data: data
  })
}

// 删除用户反馈类型
export function delFeedbackType(id) {
  return request({
    url: '/vrone/backend/feedbackType/' + id,
    method: 'delete'
  })
}
